"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChromeLogLevel = exports.InternalChannelEvent = exports.WinstonColor = exports.DBType = exports.MiddlewareType = exports.ChromePageType = exports.DeviceManagerEvent = exports.PH = exports.ClientRole = exports.ClientType = exports.TunnelEvent = void 0;
var TunnelEvent;
(function (TunnelEvent) {
    TunnelEvent["AddDevice"] = "tunnel_add_device";
    TunnelEvent["RemoveDevice"] = "tunnel_remove_device";
    TunnelEvent["AppConnect"] = "tunnel_app_connect";
    TunnelEvent["AppDisconnect"] = "tunnel_app_disconnect";
    TunnelEvent["ReceiveData"] = "tunnel_recv_data";
    TunnelEvent["TunnelLog"] = "tunnel_log";
})(TunnelEvent = exports.TunnelEvent || (exports.TunnelEvent = {}));
var ClientType;
(function (ClientType) {
    ClientType["App"] = "app";
    ClientType["Devtools"] = "devtools";
    ClientType["Unknown"] = "unknown";
})(ClientType = exports.ClientType || (exports.ClientType = {}));
var ClientRole;
(function (ClientRole) {
    ClientRole["Android"] = "android_client";
    ClientRole["Devtools"] = "devtools";
    ClientRole["IOS"] = "ios_client";
})(ClientRole = exports.ClientRole || (exports.ClientRole = {}));
/**
 * flamechart frame type
 */
var PH;
(function (PH) {
    PH["Begin"] = "B";
    PH["End"] = "E";
    PH["MetaData"] = "M";
    PH["Complete"] = "X";
})(PH = exports.PH || (exports.PH = {}));
var DeviceManagerEvent;
(function (DeviceManagerEvent) {
    DeviceManagerEvent["AddDevice"] = "addDevice";
    DeviceManagerEvent["RemoveDevice"] = "removeDevice";
    DeviceManagerEvent["AppDidDisConnect"] = "appDidDisConnect";
    DeviceManagerEvent["AppDidConnect"] = "appDidConnect";
    DeviceManagerEvent["GetDeviceList"] = "getDeviceList";
})(DeviceManagerEvent = exports.DeviceManagerEvent || (exports.DeviceManagerEvent = {}));
var ChromePageType;
(function (ChromePageType) {
    ChromePageType["Page"] = "page";
    ChromePageType["Node"] = "node";
})(ChromePageType = exports.ChromePageType || (exports.ChromePageType = {}));
var MiddlewareType;
(function (MiddlewareType) {
    MiddlewareType["Upward"] = "upward";
    MiddlewareType["Downward"] = "downward";
})(MiddlewareType = exports.MiddlewareType || (exports.MiddlewareType = {}));
var DBType;
(function (DBType) {
    DBType["Redis"] = "redis";
    DBType["Memory"] = "memory";
})(DBType = exports.DBType || (exports.DBType = {}));
var WinstonColor;
(function (WinstonColor) {
    WinstonColor["Magenta"] = "magenta";
    WinstonColor["Red"] = "red";
    WinstonColor["Green"] = "green";
    WinstonColor["Yellow"] = "yellow";
    WinstonColor["Cyan"] = "cyan";
    WinstonColor["Blue"] = "blue";
    WinstonColor["BgRed"] = "bgRed";
})(WinstonColor = exports.WinstonColor || (exports.WinstonColor = {}));
var InternalChannelEvent;
(function (InternalChannelEvent) {
    InternalChannelEvent["WSClose"] = "WSClose";
})(InternalChannelEvent = exports.InternalChannelEvent || (exports.InternalChannelEvent = {}));
var ChromeLogLevel;
(function (ChromeLogLevel) {
    ChromeLogLevel["Info"] = "info";
    ChromeLogLevel["Error"] = "error";
    ChromeLogLevel["Log"] = "log";
})(ChromeLogLevel = exports.ChromeLogLevel || (exports.ChromeLogLevel = {}));
